%define upstream_name    Locale-Codes
%define upstream_version 3.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Standard language codes (such as ISO 639)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Locale::Codes is a distribution containing a set of modules. The modules
each deal with different types of codes which identify parts of the locale
including languages, countries, currency, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL LICENSE META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 08 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 66602
- update to 3.16

* Fri Feb 18 2011 jquelin <jquelin> 3.150.0-3.mga1
+ Revision: 53703
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 32135
- mageia rebuild
- imported package perl-Locale-Codes

